For discussion of Alpine Linux development and developer support

3 2

[alpine-devel] [PATCH 1/2] testing/libzzip: New aport

Mika Havela
Details
Message ID
<1347478052-8352-1-git-send-email-mika.havela@gmail.com>
Sender timestamp
1347478051
DKIM signature
missing
Download raw message
Patch: +47 -0
A lightweight library that offers the ability to easily extract data from files archived in a single zip file
http://zziplib.sourceforge.net
---
 testing/libzzip/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/libzzip/APKBUILD

diff --git a/testing/libzzip/APKBUILD b/testing/libzzip/APKBUILD
new file mode 100644
index 0000000..d446e61
--- /dev/null
+++ b/testing/libzzip/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Mika Havela <mika.havela@gmail.com>
+# Maintainer: Mika Havela <mika.havela@gmail.com>
+pkgname=libzzip
+_pkgbase=zziplib
+pkgver="0.13.62"
+pkgrel=0
+pkgdesc="A lightweight library that offers the ability to easily extract data from files archived in a single zip file"
+url="http://zziplib.sourceforge.net"
+arch="x86"
+license="LGPL/MIT"
+depends=""
+depends_dev="perl-dev zlib-dev"
+makedepends="$depends_dev python"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/${_pkgbase}/${_pkgbase}-${pkgver}.tar.bz2"
+
+_builddir="$srcdir/${_pkgbase}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	export CC='gcc -m32'
+	export CXX='g++ -m32'
+	export PKG_CONFIG_PATH='/usr/lib/pkgconfig'
+	export PYTHON='/usr/bin/python2'
+	
+	./configure --prefix=/usr --libdir=/usr/lib
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	rm -rf "${pkgdir}"/usr/{bin,include,share}
+	rm "${pkgdir}"/usr/lib/*.la || return 1
+}
+
+md5sums="5fe874946390f939ee8f4abe9624b96c  zziplib-0.13.62.tar.bz2"
-- 
1.7.12



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---

[alpine-devel] [PATCH 2/2] testing/lua-zip: New aport

Mika Havela
Details
Message ID
<1347478052-8352-2-git-send-email-mika.havela@gmail.com>
In-Reply-To
<1347478052-8352-1-git-send-email-mika.havela@gmail.com> (view parent)
Sender timestamp
1347478052
DKIM signature
missing
Download raw message
Patch: +41 -0
Lua extension library used to read files stored inside zip files
http://luaforge.net/projects/luazip/
---
 testing/lua-zip/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/lua-zip/APKBUILD

diff --git a/testing/lua-zip/APKBUILD b/testing/lua-zip/APKBUILD
new file mode 100644
index 0000000..d494c8d
--- /dev/null
+++ b/testing/lua-zip/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Mika Havela <mika.havela@gmail.com>
+# Maintainer: Mika Havela <mika.havela@gmail.com>
+pkgname=lua-zip
+pkgver="1.2.3"
+pkgrel=0
+pkgdesc="Lua extension library used to read files stored inside zip files"
+url="http://luaforge.net/projects/luazip/"
+arch="all"
+license="MIT"
+depends="lua zlib"
+depends_dev="lua-dev libzzip-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://archive.ubuntu.com/ubuntu/pool/universe/l/lua-zip/lua-zip_${pkgver}.orig.tar.gz"
+
+_builddir="$srcdir/luazip-$pkgver"
+prepare() {
+	cd "$_builddir"
+	sed -i 's;5\.0;5.1;' config
+	sed -i 's;500;510;' config
+	sed -i "s;LUA_\([A-Z]*\)= /usr;LUA_\1= ${pkgdir}/usr;" config
+	sed -i 's;local/;;' config
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make lib || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make install || return 1
+}
+
+md5sums="8129ba93a8df6ebd324fee9adca23fae  lua-zip_1.2.3.orig.tar.gz"
-- 
1.7.12



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20120912224903.09142cb0@ncopa-laptop.res.nor.wtbts.net>
In-Reply-To
<1347478052-8352-1-git-send-email-mika.havela@gmail.com> (view parent)
Sender timestamp
1347482943
DKIM signature
missing
Download raw message

On Wed, 12 Sep 2012 19:27:31 +0000
Mika Havela <mika.havela@gmail.com> wrote:

> A lightweight library that offers the ability to easily extract data
> from files archived in a single zip file
> http://zziplib.sourceforge.net ---
>  testing/libzzip/APKBUILD | 47
> +++++++++++++++++++++++++++++++++++++++++++++++ 1 file changed, 47
> insertions(+) create mode 100644 testing/libzzip/APKBUILD

Nice! Thanks!
 
> diff --git a/testing/libzzip/APKBUILD b/testing/libzzip/APKBUILD
> new file mode 100644
> index 0000000..d446e61
> --- /dev/null
> +++ b/testing/libzzip/APKBUILD
> @@ -0,0 +1,47 @@
> +# Contributor: Mika Havela <mika.havela@gmail.com>
> +# Maintainer: Mika Havela <mika.havela@gmail.com>
> +pkgname=libzzip
> +_pkgbase=zziplib

How about calling this package as zziplib?

> +pkgver="0.13.62"
> +pkgrel=0
> +pkgdesc="A lightweight library that offers the ability to easily
> extract data from files archived in a single zip file"
> +url="http://zziplib.sourceforge.net" +arch="x86"
> +license="LGPL/MIT"
> +depends=""
> +depends_dev="perl-dev zlib-dev"
> +makedepends="$depends_dev python"
> +install=""
> +subpackages="$pkgname-dev $pkgname-doc"
> +source="http://downloads.sourceforge.net/${_pkgbase}/${_pkgbase}-${pkgver}.tar.bz2"
> +
> +_builddir="$srcdir/${_pkgbase}-${pkgver}"
> +prepare() {
> +	local i
> +	cd "$_builddir"
> +	for i in $source; do
> +		case $i in
> +		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return
> 1;;
> +		esac
> +	done
> +}
> +
> +build() {
> +	cd "$_builddir"
> +	export CC='gcc -m32'
> +	export CXX='g++ -m32'

Why? will this not break builds on x86_64?

> +	export PKG_CONFIG_PATH='/usr/lib/pkgconfig'
> +	export PYTHON='/usr/bin/python2'

Do we even have /usr/bin/python2 in Alpine Linux?

> +	
> +	./configure --prefix=/usr --libdir=/usr/lib
> +	make
> +}
> +
> +package() {
> +	cd "$_builddir"
> +	make DESTDIR="${pkgdir}" install || return 1
> +	rm -rf "${pkgdir}"/usr/{bin,include,share}

I don't think the above rm will work. The {bin,include,share} is
bashism and will probably not work on busybox ash.

And if it worked, it would have broken the -dev subpackage as you
probaly need the /usr/include.

> +	rm "${pkgdir}"/usr/lib/*.la || return 1
> +}
> +
> +md5sums="5fe874946390f939ee8f4abe9624b96c  zziplib-0.13.62.tar.bz2"

Do you mind if i create the package as zziplib and add a subpackage
called zziplib-utils where we move /usr/bin?

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---

Re: [alpine-devel] [PATCH 2/2] testing/lua-zip: New aport

Natanael Copa
Details
Message ID
<20120913143018.3397c5d8@ncopa-desktop.nor.wtbts.net>
In-Reply-To
<1347478052-8352-2-git-send-email-mika.havela@gmail.com> (view parent)
Sender timestamp
1347539418
DKIM signature
missing
Download raw message
On Wed, 12 Sep 2012 19:27:32 +0000
Mika Havela <mika.havela@gmail.com> wrote:

> Lua extension library used to read files stored inside zip files
> http://luaforge.net/projects/luazip/

I applied this, but against zziplib and with some fixes so it respects
CFLAGS etc.

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---